Не удается развернуть NativeScript на iOS после последнего обновления XCode?

Я использую NativeScript 6.4.1 и обновляюсь до версии iOS 6.4.2 для платформы

Я регулярно собирал и развертывал на своем устройстве IOS. Но сегодня я не могу. Он просто зависает при попытке установить приложение (ему удается принудительно удалить предыдущую версию приложения, так что теперь у меня даже нет старой версии на моем телефоне).

Да, у меня все настроено правильно. Если я что-то изменит, я получу ошибку, как и ожидалось. Здесь, со всем на месте, я не получаю ошибки, просто зависание:

Project successfully built.
The build result is located at: /Users/sohmert/tbd/sniff/platforms/ios/build/Debug-iphoneos/sniff.ipa
Installing on device 000080XX-000XXXXX3A92XXX...

Я все еще могу запустить его на эмуляторе iOS. Но мне нужно снова установить его на моем устройстве для тестирования в реальных условиях.

Единственное, что я могу вспомнить, это изменилось за последние несколько дней для меня, это то, что я сделал серию обновлений, которые включали обновление для XCode. Xcode в настоящее время сообщает как версия 11.4. Может ли это быть проблема? Если так, что мне делать?

Всего 2 ответа


Хорошо, я прошел мимо этого. Как и некоторые другие проблемы ( nativescript не запускается с кодом выхода 0 ) и проблема сборки Android, связанная с конфликтами с дублирующимися именами статических классов, проблему можно решить, если я сделаю полный свежий клон git своего репозитория в новый каталог и здание оттуда. Очевидно, что есть некоторая проблема с сгенерированным файлом где-то вдоль линии, но я не сделал полный анализ различий или что-нибудь, чтобы выяснить что. В любом случае - если у кого-то еще есть подобные проблемы, попробуйте начать с совершенно нового состояния, подобного этому. Возможно, в каком-то славном будущем эти загадочные проблемы с использованием NativeScript уйдут в далекую память, но на данный момент ряд обходных путей вуду, которые можно преодолеть в течение дня, время от времени кажется нормой.


Обновите nativescript до последней версии 6.5.0 и обновите ваш проект с помощью этой команды tns update . Установите последнюю версию Xcode11 на свой Mac с последней версией iOS sdk13.


Есть идеи?

10000